Description: Fix POD syntax and formatting errors
Author: Russ Allbery <rra@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2023-10-25

The POD documentation uses an unusual method for adding remarks to the
middle of an =over/=item list, which in combination with some placement
of sentences and the use of podselect confuses Pod::Man.  Move things
around to achieve the desired result without syntax errors.

Note:
(libauthen-sasl-xs-perl is the successor of libauthen-sasl-cyrus-perl)
podselect is still mentioned in Makefile.PL but not run; some POD errors still remain.
[gregor 2023-10-25]

--- a/XS.pod
+++ b/XS.pod
@@ -232,6 +232,8 @@
 name of the server being contacted, which may also be used
 by the underlying mechanism.
 
+See SYNOPSIS for an example.
+
 =back
 
 B<Remark>:
@@ -245,12 +247,10 @@
 side. Format of this arguments in an IPv4 environment should be: a.b.c.d;port.
 See sasl_server_new(3) for details.
 
-=over 4
-
-See SYNOPSIS for an example.
-
 =pod
 
+=over 4
+
 =item server_start ( CHALLENGE )
 
 C<server_start> begins the authentication using the chosen mechanism.
@@ -289,10 +289,10 @@
 
 See example below.
 
-=over 4
-
 =pod
 
+=over 4
+
 =item listmech( START , SEPARATOR , END )
 
 C<listmech> returns a string containing all mechanisms allowed for the user
@@ -370,8 +370,6 @@
 false is returned. You can also use C<code == 1> but it looks smarter I think.
 That's why we all using perl, eh?
 
-=pod
-
 =back
 
 =head1 EXAMPLE
